settings = {}

#general carre settings
settings['carretime'] = "2013-09-24"
settings['carreBaseURL'] = "http://carre.kmi.open.ac.uk"
settings['carreSecureURL'] = "https://carre.kmi.open.ac.uk"

settings['carre-callback-hostnames'] = ['carre.kmi.open.ac.uk','beta.carre-project.eu','edu.carre-project.eu']
settings['carre-callback-suffices'] = ['carre-project.eu']

# risk.owl
settings['carreRiskOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/risk.owl"
	#sensors.owl
settings['carreSensorsOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/sensors.owl" #not used directly
settings['carreLastMeasuredPredicate'] = settings['carreSensorsOntologyURL'] + "#last_measured"
settings['carreFirstConnectedPredicate'] = settings['carreSensorsOntologyURL'] + "#first_connected"

	#connections.owl
settings['carreConnectionIRI'] = "connections"
settings['carreConnectionPredicate'] = settings['carreSensorsOntologyURL'] + "#has_connection"

	#authentication.owl
settings['carreManufacturerPredicate'] = settings['carreSensorsOntologyURL'] + "#has_manufacturer"
settings['carreIsMeasuredByPredicate'] = settings['carreSensorsOntologyURL'] + "#is_measured_by"
settings['carreAccessTokenPredicate'] = settings['carreSensorsOntologyURL'] + "#has_access_token"
settings['carreAccessTokenSecretPredicate'] = settings['carreSensorsOntologyURL'] + "#has_access_token_secret"
settings['carreExpiryPredicate'] = settings['carreSensorsOntologyURL'] + "#has_expiry"
settings['carreExpiryDatePredicate'] = settings['carreSensorsOntologyURL'] + "#expires"
settings['carreRefreshTokenPredicate'] = settings['carreSensorsOntologyURL'] + "#has_refresh_token"
settings['carreRequestTokenPredicate'] = settings['carreSensorsOntologyURL'] + "#has_request_token"
settings['carreRequestTokenSecretPredicate'] = settings['carreSensorsOntologyURL'] + "#has_request_token_secret"
settings['carreUserIdPredicate'] = settings['carreSensorsOntologyURL'] + "#has_user_id"

	#reminder
settings['carrePasswordCodePredicate'] = settings["carreSensorsOntologyURL"] + "#has_password_code"

	#calendar
settings['carreCalendarOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/calendar" #not used directly
settings['carreCalendarIdPredicate'] = settings['carreCalendarOntologyURL'] + "#has_calendar_id"
settings['carreCalendarEventIdPredicate'] = settings['carreCalendarOntologyURL'] + "#has_eventId"
settings['carreCalendarEventStatusPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_status"
settings['carreCalendarEventDescriptionPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_description"
settings['carreCalendarEventCreationDatePredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_creation_date"
settings['carreCalendarEventICalUIDPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_ical_uid"
settings['carreCalendarEventHtmlLinkPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_html_link"
settings['carreCalendarEventSummaryPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_summary"
settings['carreCalendarEventLocationPredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_location"
settings['carreCalendarEventStartTimePredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_start_time"
settings['carreCalendarEventEndTimePredicate'] = settings['carreCalendarOntologyURL'] + "#has_event_end_time"

settings['carreCalendarIRI'] = "calendars"

	#manufacturers
settings['carreManufacturerIRI'] = "http://carre.kmi.open.ac.uk/manufacturers"

#virtuoso
settings['virtuoso-authorizationurl1'] = "http://carre.kmi.open.ac.uk:8890/OAuth/request_token"
settings['virtuoso-authorizationurl2'] = "http://carre.kmi.open.ac.uk:8890/OAuth/authorize"
settings['virtuoso-authorizationurl3'] = "http://carre.kmi.open.ac.uk:8890/OAuth/access_token"
settings['virtuoso-landing'] = "https://carre.kmi.open.ac.uk/devices/oauth/virtuoso/callback"
# clientid and secret are user specific, use Helper.getVirtuosoAppTokens
# settings['virtuoso-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"#""
# settings['virtuoso-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"#""

#MEDICAL
settings['ihealth-version'] = "2"
settings['ihealth-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-callback'] = "https://carre.kmi.open.ac.uk/devices/oauth/ihealth/callback"
settings['ihealth-authorizationurl1'] = "https://api.ihealthlabs.com:8443/OpenApiV2/OAuthv2/userauthorization/?APIName=OpenApiActivity+OpenApiBG+OpenApiBP+OpenApiFood+OpenApiSleep+OpenApiSpO2+OpenApiSport+OpenApiWeight&"
settings['ihealth-authorizationurl2'] = "https://api.ihealthlabs.com:8443/OpenApiV2/OAuthv2/userauthorization/"
settings['ihealth-landing'] = "https://carre.kmi.open.ac.uk/devices/oauth/ihealth"
settings['ihealth-OpenApiActivitySC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiActivitySV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBGSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBGSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBPSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBPSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiFoodSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiFoodSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSleepSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSleepSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSpO2SC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSpO2SV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSportSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSportSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiWeightSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiWeightSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"

settings['fitbit-version'] = "1"
settings['fitbit-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['fitbit-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['fitbit-authorizationurl1'] = "https://api.fitbit.com/oauth/request_token"
settings['fitbit-authorizationurl2'] = "https://api.fitbit.com/oauth/access_token"
settings['fitbit-landing'] = "https://carre.kmi.open.ac.uk/devices"

settings['medisana-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['medisana-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['medisana-authorizationurl1'] = "https://cloud.vitadock.com/auth/unauthorizedaccesses"
settings['medisana-authorizationurl2'] = "https://cloud.vitadock.com/desiredaccessrights/request"
settings['medisana-authorizationurl3'] = "https://cloud.vitadock.com/auth/accesses/verify"

settings['withings-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"#""
settings['withings-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"#""
settings['withings-authorizationurl1'] = "https://oauth.withings.com/account/request_token"
settings['withings-authorizationurl2'] = "https://oauth.withings.com/account/authorize"

settings['misfit-authorizationurl1'] = "https://api.misfitwearables.com/auth/dialog/authorize?response_type=code&redirect_uri=https://carre.kmi.open.ac.uk/devices/oauth/misfit/callback&scope=public,birthday,email"
settings['misfit-authorizationurl2'] = "https://api.misfitwearables.com/auth/tokens/exchange"
settings['misfit-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['misfit-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"

settings['googlefit-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['googlefit-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['googlefit-jsonpath'] = "/data/web/devices/devices/tripleStore/oauth/googlefit.json"

settings['moves-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['moves-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"

#LIFESTYLE
settings['google'] = "2"
settings['google-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-email'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-callback'] = "https://carre.kmi.open.ac.uk/devices/google/oauth2callback"
settings['google-origins'] = "https://carre.kmi.open.ac.uk/"
settings['google-jsonpath'] = "/data/web/devices/devices/tripleStore/oauth/google.json"


#todo: fix this; this is only used in VisualisationsHelper.py
measurements = {}
measurements['Calories'] = settings['carreSensorsOntologyURL'] + '#has_calories'
measurements['Date'] = settings['carreSensorsOntologyURL'] + '#has_date'
measurements['CaloriesBMR'] = settings['carreSensorsOntologyURL'] + '#has_calories_b_m_r'
measurements['ActivityCalories'] = settings['carreSensorsOntologyURL'] + '#has_activity_calories'
measurements['MarginalCalories'] = settings['carreSensorsOntologyURL'] + '#has_marginal_calories'
measurements['SedentaryActivityDuration'] = settings['carreSensorsOntologyURL'] + '#has_sedentary_activity_duration'
measurements['LightActivityDuration'] = settings['carreSensorsOntologyURL'] + '#has_light_activity_duration'
measurements['StartDate'] = settings['carreSensorsOntologyURL'] + '#has_start_date'
measurements['SleepStatus'] = settings['carreSensorsOntologyURL'] + '#has_sleep_status'
measurements['Steps'] = settings['carreSensorsOntologyURL'] + '#has_steps'
measurements['Distance'] = settings['carreSensorsOntologyURL'] + '#has_distance'
measurements['Elevation'] = settings['carreSensorsOntologyURL'] + '#has_elevation'
measurements['Floors'] = settings['carreSensorsOntologyURL'] + '#has_floors'
measurements['ModerateActivityDuration'] = settings['carreSensorsOntologyURL'] + '#has_moderate_activity_duration'
measurements['LightActivityDistance'] = settings['carreSensorsOntologyURL'] + '#has_light_activity_distance'
measurements['ModerateActivityDistance'] = settings['carreSensorsOntologyURL'] + '#has_moderate_activity_distance'
measurements['TrackedActivityDistance'] = settings['carreSensorsOntologyURL'] + '#has_tracked_activity_distance'
measurements['IntenseActivityDuration'] = settings['carreSensorsOntologyURL'] + '#has_intense_activity_duration'
measurements['IntenseActivityDistance'] = settings['carreSensorsOntologyURL'] + '#has_intense_activity_distance'
measurements['SystolicBloodPressure'] = settings['carreSensorsOntologyURL'] + "#has_blood_pressure_systolic"
measurements['DiastolicBloodPressure'] = settings['carreSensorsOntologyURL'] + "#has_blood_pressure_diastolic"
measurements['Pulse'] = settings['carreSensorsOntologyURL'] + "#has_pulse"
measurements['OxygenSaturation'] = settings['carreSensorsOntologyURL'] + "#has_o2saturation"
measurements['TimesAwake'] = settings['carreSensorsOntologyURL'] + '#has_times_awake'
measurements['TimesRestless'] = settings['carreSensorsOntologyURL'] + '#has_times_restless'
measurements['TimeToFallAsleep'] = settings['carreSensorsOntologyURL'] + '#has_time_to_fall_asleep'
measurements['SleepTime'] = settings['carreSensorsOntologyURL'] + '#has_sleep_time'
measurements['SleepEfficiency'] = settings['carreSensorsOntologyURL'] + '#has_sleep_efficiency'
measurements['AwakeDuration'] = settings['carreSensorsOntologyURL'] + '#has_awake_duration'
measurements['AsleepDuration'] = settings['carreSensorsOntologyURL'] + '#has_asleep_duration'
measurements['RestlessDuration'] = settings['carreSensorsOntologyURL'] + '#has_restless_duration'
measurements['MinutesAfterWakeup'] = settings['carreSensorsOntologyURL'] + '#has_minutes_after_wakeup'
