settings = {}

#general carre settings
settings['carretime'] = "2013-11-01"
settings['carreBaseURL'] = "http://carre.kmi.open.ac.uk"
settings['carreSecureURL'] = "http://carre.kmi.open.ac.uk"

	#sensors.owl
settings['carreSensorsOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/sensors.owl" #not used directly
settings['carreLastMeasuredPredicate'] = settings['carreSensorsOntologyURL'] + "#lastMeasured"
settings['carreFirstConnectedPredicate'] = settings['carreSensorsOntologyURL'] + "#firstConnected"

	#connections.owl
settings['carreConnectionIRI'] = "http://carre.kmi.open.ac.uk/ontology/connections" #todo:move it under users
settings['carreConnectionPredicate'] = settings['carreConnectionIRI'] + "#hasConnection" #todo:changet to a proper .owl

	#authentication.owl
settings['carreAuthenticationOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/authentication" #not used directly
settings['carreManufacturerPredicate'] = "http://carre.kmi.open.ac.uk/ontology/manufacturer#hasManufacturer" #todo:this is wrong, use the ontologyURL above
settings['carreAccessTokenPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasAccessToken"
settings['carreAccessTokenSecretPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasAccessTokenSecret"
settings['carreExpiryPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasExpiry"
settings['carreRefreshTokenPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasRefreshToken"
settings['carreRequestTokenPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasRequestToken"
settings['carreRequestTokenSecretPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasRequestTokenSecret"
settings['carreUserIdPredicate'] = settings['carreAuthenticationOntologyURL'] + "#hasUserId"

	#reminder
settings['carrePasswordCorePredicate'] = "http://carre.kmi.open.ac.uk/ontology/reminder#hasPasswordCode"

	#calendar
settings['carreCalendarOntologyURL'] = "http://carre.kmi.open.ac.uk/ontology/calendar" #not used directly
settings['carreCalendarIdPredicate'] = settings['carreCalendarOntologyURL'] + "#hasCalendarId"
settings['carreCalendarEventIdPredicate'] = settings['carreCalendarOntologyURL'] + "#EventId"
settings['carreCalendarEventStatusPredicate'] = settings['carreCalendarOntologyURL'] + "#EventStatus"
settings['carreCalendarEventDescriptionPredicate'] = settings['carreCalendarOntologyURL'] + "#EventDescription"
settings['carreCalendarEventCreationDatePredicate'] = settings['carreCalendarOntologyURL'] + "#EventCreationDate"
settings['carreCalendarEventICalUIDPredicate'] = settings['carreCalendarOntologyURL'] + "#EventICalUID"
settings['carreCalendarEventHtmlLinkPredicate'] = settings['carreCalendarOntologyURL'] + "#EventHtmlLink"
settings['carreCalendarEventSummaryPredicate'] = settings['carreCalendarOntologyURL'] + "#EventSummary"
settings['carreCalendarEventLocationPredicate'] = settings['carreCalendarOntologyURL'] + "#EventLocation"
settings['carreCalendarEventStartTimePredicate'] = settings['carreCalendarOntologyURL'] + "#EventStartTime"
settings['carreCalendarEventEndTimePredicate'] = settings['carreCalendarOntologyURL'] + "#EventEndTime"

settings['carreCalendarIRI'] = "http://carre.kmi.open.ac.uk/ontology/calendars" #todo:fix it under users

	#manufacturers
settings['carreManufacturerIRI'] = "http://carre.kmi.open.ac.uk/manufacturers"

#MEDICAL
settings['ihealth-version'] = "2"
settings['ihealth-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-callback'] = "https://carre.kmi.open.ac.uk/devices/oauth/ihealth/callback"
settings['ihealth-authorizationurl1'] = "https://api.ihealthlabs.com:8443/OpenApiV2/OAuthv2/userauthorization/?APIName=OpenApiActivity+OpenApiBG+OpenApiBP+OpenApiFood+OpenApiSleep+OpenApiSpO2+OpenApiSport+OpenApiWeight&"
settings['ihealth-authorizationurl2'] = "https://api.ihealthlabs.com:8443/OpenApiV2/OAuthv2/userauthorization/"
settings['ihealth-landing'] = "https://carre.kmi.open.ac.uk/devices/oauth/ihealth"
settings['ihealth-OpenApiActivitySC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiActivitySV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBGSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBGSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBPSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiBPSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiFoodSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiFoodSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSleepSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSleepSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSpO2SC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSpO2SV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSportSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiSportSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiWeightSC'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['ihealth-OpenApiWeightSV'] = "MANUFACTURER_OAUTH_DETAILS_HERE"

settings['fitbit-version'] = "1"
settings['fitbit-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['fitbit-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['fitbit-authorizationurl1'] = "https://api.fitbit.com/oauth/request_token"
settings['fitbit-authorizationurl2'] = "https://api.fitbit.com/oauth/access_token"
settings['fitbit-landing'] = "https://carre.kmi.open.ac.uk/devices"

settings['withings-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['withings-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"


#LIFESTYLE
settings['google'] = "2"
settings['google-clientid'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-email'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-secret'] = "MANUFACTURER_OAUTH_DETAILS_HERE"
settings['google-callback'] = "https://carre.kmi.open.ac.uk/devices/google/oauth2callback"
settings['google-origins'] = "https://carre.kmi.open.ac.uk/"
settings['google-jsonpath'] = "/data/web/devices/devices/tripleStore/oauth/google.json"


#todo: fix this; this is only used in VisualisationsHelper.py
measurements = {}
measurements['Calories'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasCalories'
measurements['Date'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasDate'
measurements['CaloriesBMR'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasCaloriesBMR'
measurements['ActivityCalories'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasActivityCalories'
measurements['MarginalCalories'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasMarginalCalories'
measurements['SedentaryActivityDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasSedentaryActivityDuration'
measurements['LightActivityDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasLightActivityDuration'
measurements['StartDate'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasStartDate'
measurements['SleepStatus'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasSleepStatus'
measurements['Steps'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasSteps'
measurements['Distance'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasDistance'
measurements['Elevation'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasElevation'
measurements['Floors'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasFloors'
measurements['ModerateActivityDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasModerateActivityDuration'
measurements['LightActivityDistance'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasLightActivityDistance'
measurements['ModerateActivityDistance'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasModerateActivityDistance'
measurements['TrackedActivityDistance'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasTrackedActivityDistance'
measurements['IntenseActivityDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasIntenseActivityDuration'
measurements['IntenseActivityDistance'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasIntenseActivityDistance'
measurements['TimesAwake'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasTimesAwake'
measurements['TimesRestless'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasTimesRestless'
measurements['TimeToFallAsleep'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasTimeToFallAsleep'
measurements['SleepTime'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasSleepTime'
measurements['SleepEfficiency'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasSleepEfficiency'
measurements['AwakeDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasAwakeDuration'
measurements['AsleepDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasAsleepDuration'
measurements['RestlessDuration'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasRestlessDuration'
measurements['MinutesAfterWakeup'] = 'http://carre.kmi.open.ac.uk/ontology/sensors.owl#hasMinutesAfterWakeup'
